%define pkg_name        Mail-RFC822-Address
%define pkg_version     0.3
%define rpm_pkg_version 0.3
%define rpm_pkg_release 2.n0i.2

Summary:       Perl extension for validating email addresses according to RFC822
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/P/PD/PDWARREN/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
  Mail::RFC822::Address validates email addresses against the grammar
described in RFC 822 using regular expressions.
  This module is functionally equivalent to RFC::RFC822::Address,
but uses regular expressions rather than the Parse::RecDescent parser.
  This means that startup time is greatly reduced making it suitable
for use in transient scripts such as CGI scripts.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.3-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Mon Jul 03 2006 Marius Feraru <altblue@n0i.net> - 0.3-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
